#!/usr/bin/env node
const {program} = require('commander');
const chalk = require('chalk');

const { execSync } = require('child_process');

program
  .version('1.1.0')
  .description('Ayebuild CLI is used to build and deploy tools by AYESAVI DIGITAL TECHNOLOGIES PVT LTD');

// Command for addition
program
  .command('build')
  .description('Checks status checks & Builds code to be pushed in repository, If any status checks get\'s failed consider resolving it before pushing')
  .action(() => {
    console.log("Formatting code...")
    const result = execSync("npx prettier --write **/*.ts **/*.tsx", { encoding: 'utf-8' });
    console.log(chalk.keyword("green")("✅ Code Formatted Succesfully"));
    console.log("Building Web...")
    try {
        const result1 = execSync("npx next build", { encoding: 'utf-8',stdio: ['pipe','pipe','inherit' ] });
        console.log(chalk.keyword("green")("✅ Web Built Successfully"));
      } catch (error) {
        console.error((`❌ Error executing command: ${error.message}`));
      }
  });


program.parse(process.argv);
